package com.fireworksdk.bridge.flutter.models

enum class FWSdkModuleCallMethod(val rawValue: String) {
  Init("init"),
  MarkInitCalled("markInitCalled"),
  OpenVideoPlayer("openVideoPlayer"),
  SetShareBaseURL("setShareBaseURL"),
  SetAdBadgeConfiguration("setAdBadgeConfiguration"),
  SetCustomCTAClickEnabled("setCustomCTAClickEnabled"),
  SetVideoPlaybackEventEnabled("setVideoPlaybackEventEnabled"),
  ChangeAppLanguage("changeAppLanguage"),
  TrackPurchase("trackPurchase"),
}

enum class FWShoppingModuleCallMethod(val rawValue: String) {
  Init("init"),
  SetCartIconVisible("setCartIconVisible"),
  SetCartItemCount("setCartItemCount"),
  SetCustomClickLinkButtonEnabled("setCustomClickLinkButtonEnabled"),
  SetProductInfoViewConfiguration("setProductInfoViewConfiguration"),
  SetCustomTapProductCardEnabled("setCustomTapProductCardEnabled"),
  ShowShoppingCTALoader("showShoppingCTALoader"),
  CompleteShoppingCTAHandlingProcess("completeShoppingCTAHandlingProcess"),
}

enum class FWVideoFeedCallMethod(val rawValue: String) {
  SetVideoFeedConfiguration("setVideoFeedConfiguration"),
  SetVideoPlayerConfiguration("setVideoPlayerConfiguration"),
  Refresh("refresh"),
  SetMarginRight("setMarginRight"),
}

enum class FWStoryBlockCallMethod(val rawValue: String) {
  OpenFullscreen("openFullscreen"),
  SetMarginRight("setMarginRight"),
  Play("play"),
  Pause("pause"),
  SetStoryBlockConfiguration("setStoryBlockConfiguration"),
  ShowIvsPlayerView("showIvsPlayerView"),
  HideIvsPlayerView("hideIvsPlayerView"),
  RemoveIvsPlayerView("removeIvsPlayerView"),
  PlayIvsPlayer("playIvsPlayer"),
  PauseIvsPlayer("pauseIvsPlayer"),
  OnViewportEntered("onViewportEntered"),
  OnViewportLeft("onViewportLeft"),
}

enum class FWLiveStreamModuleCallMethod(val rawValue: String) {
  Init("init"),
}

enum class FWNavigatorModuleCallMethod(val rawValue: String) {
  PushNativeContainer("pushNativeContainer"),
  PopNativeContainer("popNativeContainer"),
  CanPopNativeContainer("canPopNativeContainer"),
  StartFloatingPlayer("startFloatingPlayer"),
  StopFloatingPlayer("stopFloatingPlayer"),
}