package com.fireworksdk.bridge.flutter.platformviewfactory

import android.content.Context
import androidx.fragment.app.FragmentActivity
import com.fireworksdk.bridge.flutter.platformview.FWStoryBlockPlatformView
import io.flutter.plugin.common.BinaryMessenger
import io.flutter.plugin.common.StandardMessageCodec
import io.flutter.plugin.platform.PlatformView
import io.flutter.plugin.platform.PlatformViewFactory


class FWStoryBlockFactory(
  private val activity: FragmentActivity,
  private val binaryMessenger: BinaryMessenger,
) : PlatformViewFactory(StandardMessageCodec.INSTANCE) {

  @Suppress("UNCHECKED_CAST")
  override fun create(context: Context, viewId: Int, args: Any?): PlatformView {
    val creationParams = args as Map<String?, Any?>?
    return FWStoryBlockPlatformView(activity, viewId, creationParams, binaryMessenger)
  }
}