package com.fireworksdk.bridge.models

import com.fireworksdk.bridge.models.enums.FWBadgeTextType
import org.json.JSONObject

object FWAdBadgeConfigModelSerializer {

  private const val BADGE_TEXT_TYPE_KEY = "badgeTextType"
  private const val BACKGROUND_COLOR_KEY = "backgroundColor"
  private const val TEXT_COLOR_KEY = "textColor"
  private const val FONT_INFO_KEY = "androidFontInfo"

  fun serialize(model: FWAdBadgeConfigModel?): JSONObject? {
    model ?: return null
    val jsonObject = JSONObject()
    jsonObject.put(BADGE_TEXT_TYPE_KEY, FWBadgeTextType.serialize(model.badgeTextType))
    jsonObject.put(BACKGROUND_COLOR_KEY, model.backgroundColor)
    jsonObject.put(TEXT_COLOR_KEY, model.textColor)
    jsonObject.put(FONT_INFO_KEY, FWFontInfoModelSerializer.serialize(model.fontInfo))
    return jsonObject
  }
}