package com.fireworksdk.bridge.models

import com.fireworksdk.bridge.models.enums.FWAppearanceMode
import org.json.JSONObject

object FWCountdownTimerConfigurationModelSerializer {

  private const val IS_HIDDEN_KEY = "isHidden"
  private const val APPEARANCE_KEY = "appearance"

  fun serialize(model: FWCountdownTimerConfigurationModel?): JSONObject? {
    model ?: return null
    val jsonObject = JSONObject()
    jsonObject.put(IS_HIDDEN_KEY, model.isHidden)
    jsonObject.put(APPEARANCE_KEY, FWAppearanceMode.serialize(model.appearance))
    return jsonObject
  }
}