package com.fireworksdk.bridge.models

import org.json.JSONObject

object FWPlayerButtonConfigurationSerializer {

  private const val VIDEO_DETAIL_BUTTON_KEY = "videoDetailButton"
  private const val CLOSE_BUTTON_KEY = "closeButton"
  private const val MUTE_BUTTON_KEY = "muteButton"
  private const val UNMUTE_BUTTON_KEY = "unmuteButton"
  private const val PLAY_BUTTON_KEY = "playButton"
  private const val PAUSE_BUTTON_KEY = "pauseButton"

  fun serialize(model: FWPlayerButtonConfigurationModel?): JSONObject? {
    model ?: return null
    val jsonObject = JSONObject()
    jsonObject.put(VIDEO_DETAIL_BUTTON_KEY, FWButtonInfoSerializer.serialize(model.videoDetailButton))
    jsonObject.put(CLOSE_BUTTON_KEY, FWButtonInfoSerializer.serialize(model.closeButton))
    jsonObject.put(MUTE_BUTTON_KEY, FWButtonInfoSerializer.serialize(model.muteButton))
    jsonObject.put(UNMUTE_BUTTON_KEY, FWButtonInfoSerializer.serialize(model.unmuteButton))
    jsonObject.put(PLAY_BUTTON_KEY, FWButtonInfoSerializer.serialize(model.playButton))
    jsonObject.put(PAUSE_BUTTON_KEY, FWButtonInfoSerializer.serialize(model.pauseButton))
    return jsonObject
  }
}