package com.fireworksdk.bridge.models

import org.json.JSONObject

object FWTrackPurchaseModelSerializer {

  private const val ORDER_ID_KEY = "orderId"
  private const val VALUE_KEY = "value"
  private const val CURRENCY_CODE_KEY = "currencyCode"
  private const val COUNTRY_KEY = "countryCode"
  private const val ADDITIONAL_INFO_KEY = "additionalInfo"

  fun serialize(model: FWTrackPurchaseModel?): JSONObject? {
    model ?: return null
    val jsonObject = JSONObject()
    jsonObject.put(ORDER_ID_KEY, model.orderId)
    jsonObject.put(VALUE_KEY, model.value)
    jsonObject.put(CURRENCY_CODE_KEY, model.currencyCode)
    jsonObject.put(COUNTRY_KEY, model.countryCode)

    if (model.additionalInfo != null) {
      val additionalInfoJsonObject = JSONObject()
      val keys = model.additionalInfo.keys
      for (key in keys) {
        val value = model.additionalInfo[key]
        additionalInfoJsonObject.put(key, value);
      }
      jsonObject.put(ADDITIONAL_INFO_KEY, additionalInfoJsonObject)
    }

    return jsonObject
  }

}