package com.fireworksdk.bridge.models

import com.fireworksdk.bridge.models.enums.FWVideoPlayerLogoOption
import org.json.JSONObject

object FWVideoPlayerLogoConfigurationModelSerializer {

  private const val OPTION_KEY = "option"
  private const val ENCODED_ID_KEY = "encodedId"
  private const val IS_CLICKABLE = "isClickable"

  fun serialize(model: FWVideoPlayerLogoConfigurationModel?): JSONObject? {
    model ?: return null
    val jsonObject = JSONObject()
    jsonObject.put(OPTION_KEY, FWVideoPlayerLogoOption.serialize(model.option))
    jsonObject.put(ENCODED_ID_KEY, model.encodedId)
    jsonObject.put(IS_CLICKABLE, model.isClickable)
    return jsonObject
  }
}