package com.fireworksdk.bridge.models.enums

enum class FWGradientDrawableOrientation(val rawValue: String) {
  TOP_BOTTOM("TOP_BOTTOM"),
  TR_BL("TR_BL"),
  RIGHT_LEFT("RIGHT_LEFT"),
  BR_TL("BR_TL"),
  BOTTOM_TOP("BOTTOM_TOP"),
  BL_TR("BL_TR"),
  LEFT_RIGHT("LEFT_RIGHT"),
  TL_BR("TL_BR");

  companion object {
    fun deserialize(rawValue: String?): FWGradientDrawableOrientation? {
      rawValue ?: return null
      return FWGradientDrawableOrientation.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWGradientDrawableOrientation?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}
