package com.fireworksdk.bridge.models.enums

enum class FWSystemTypeface(val rawValue: String) {
  Default("DEFAULT"),
  DefaultBold("DEFAULT_BOLD"),
  SansSerif("SANS_SERIF"),
  Serif("SERIF"),
  Monospace("MONOSPACE");

  companion object {
    fun deserialize(rawValue: String?): FWSystemTypeface? {
      rawValue ?: return null
      return FWSystemTypeface.values().first { it.rawValue == rawValue }
    }

    fun serialize(model: FWSystemTypeface?): String? {
      model ?: return null
      return model.rawValue
    }
  }
}
