package com.fireworksdk.bridge.utils

import com.firework.analyticsevents.VideoInfo
import com.firework.analyticsevents.cta.CtaButtonClickAnalyticsEvent
import com.firework.analyticsevents.player.PlayerLifecycleAnalyticsEvent
import com.firework.analyticsevents.share.ShareButtonAnalyticsEvent
import com.fireworksdk.bridge.models.FWVideoPlaybackDetails

object FWModelUtils {
  fun convertVideoInfo2PlaybackDetails(videoInfo: VideoInfo): FWVideoPlaybackDetails {
    return FWVideoPlaybackDetails(
      badge = videoInfo.badge,
      caption = videoInfo.caption,
      duration = videoInfo.duration,
      hasCta = videoInfo.hasCta,
      playerHeight = videoInfo.playerHeight,
      playerWidth = videoInfo.playerWidth,
      id = videoInfo.id,
      feedId = videoInfo.feedId,
    )
  }

  fun convertCtaEvent2PlaybackDetails(event: CtaButtonClickAnalyticsEvent): FWVideoPlaybackDetails {
    return FWVideoPlaybackDetails(
      badge = event.videoInfo.badge,
      caption = event.videoInfo.caption,
      duration = event.videoInfo.duration,
      hasCta = true,
      playerHeight = event.videoInfo.playerHeight,
      playerWidth = event.videoInfo.playerWidth,
      id = event.videoInfo.id,
      actionUrl = event.actionUrl,
      feedId = event.videoInfo.feedId,
    )
  }

  fun convertPlayerEvent2PlaybackDetails(event: PlayerLifecycleAnalyticsEvent): FWVideoPlaybackDetails {
    return FWVideoPlaybackDetails(
      badge = event.videoInfo?.badge,
      caption = event.videoInfo?.caption,
      duration = event.videoInfo?.duration,
      hasCta = event.videoInfo?.hasCta,
      playerHeight = event.videoInfo?.playerHeight,
      playerWidth = event.videoInfo?.playerWidth,
      id = event.videoInfo?.id,
      progress = event.progress,
      feedId = event.videoInfo?.feedId,
    )
  }

  fun convertShareButtonEvent2PlaybackDetails(event: ShareButtonAnalyticsEvent): FWVideoPlaybackDetails {
    return FWVideoPlaybackDetails(
      badge = event.videoInfo.badge,
      caption = event.videoInfo.caption,
      duration = event.videoInfo.duration,
      hasCta = event.videoInfo.hasCta,
      playerHeight = event.videoInfo.playerHeight,
      playerWidth = event.videoInfo.playerWidth,
      id = event.videoInfo.id,
      feedId = event.videoInfo.feedId,
    )
  }

}