//
//  UIViewController.swift
//  fw_flutter_sdk
//
//  Created by Jeff Zheng on 2022/2/21.
//

import UIKit

extension UIViewController {

    static func presentedViewController() -> UIViewController? {
        var controller = keyWindow()?.rootViewController
        var presentedController = controller?.presentedViewController
        while let isBeingDismissed = presentedController?.isBeingDismissed,
            !isBeingDismissed && presentedController != nil {
            controller = presentedController
            presentedController = controller?.presentedViewController
        }

        return controller
    }

    static func keyWindow() -> UIWindow? {
        if #available(iOS 13.0, *) {
            for scene in UIApplication.shared.connectedScenes {
                if let currentSene = scene as? UIWindowScene {
                    for window in currentSene.windows where window.isKeyWindow {
                        return window
                    }
                }
            }
        } else {
            for window in UIApplication.shared.windows where window.isKeyWindow {
                return window
            }
        }

        return nil
    }
}
