//
//  JsonHelper.swift
//  fw_flutter_sdk
//
//  Created by Jeff Zheng on 2022/3/9.
//

import Foundation

class JsonHelper {
    static func fromDictionary<T>(_ config: [String: AnyObject]?, type: T.Type) -> T?
    where T: Decodable {
        guard let config = config else {
            return nil
        }

        let jsonData = try? JSONSerialization.data(withJSONObject: config, options: .prettyPrinted)
        guard let jsonData = jsonData else {
            return nil
        }

        var result: T?
        do {
            result = try JSONDecoder().decode(type, from: jsonData)
        } catch let error {
            print(error.localizedDescription)
        }

        return result
    }
}
