class VastAttribute {
  String? name;
  String? value;
  VastAttribute({
    this.name,
    this.value,
  });

  VastAttribute deepCopy() => VastAttribute(
        name: name,
        value: value,
      );
}

class AdConfiguration {
  /// Custom VAST attributes to be used when fetching ads.
  List<VastAttribute>? vastAttributes;

  /// Indicates that the feed is dependent on ads being fetched before displaying any feed content.
  /// Default value is false.
  /// Warning: This will cause a delay in feed rendering. Use only when necessary.
  /// Only supported on iOS.
  bool? requiresAds;

  /// Specifies the timeout(The unit of time is seconds) to be applied when ads are required.
  /// Default value is 10.
  /// This property is ignored when requiresAd is false
  double? adsFetchTimeout;

  AdConfiguration({
    this.vastAttributes,
    this.requiresAds,
    this.adsFetchTimeout,
  });

  AdConfiguration deepCopy() => AdConfiguration(
        vastAttributes: vastAttributes?.map((e) => e.deepCopy()).toList(),
        requiresAds: requiresAds,
        adsFetchTimeout: adsFetchTimeout,
      );
}
