enum CountdownTimerAppearanceMode {
  light,
  dark,
}

class CountdownTimerConfiguration {
  /// Specifies if the countdown timer should be hidden.
  bool? isHidden;

  /// Specifies the appearance of the countdown timer.
  /// Only supported on iOS.
  CountdownTimerAppearanceMode? appearance;
  CountdownTimerConfiguration({
    this.isHidden,
    this.appearance,
  });

  @override
  bool operator ==(Object other) {
    if (identical(this, other)) {
      return true;
    }

    if (other is CountdownTimerConfiguration) {
      return isHidden == other.isHidden && appearance == other.appearance;
    }

    return false;
  }

  @override
  int get hashCode => isHidden.hashCode ^ appearance.hashCode;

  CountdownTimerConfiguration deepCopy() => CountdownTimerConfiguration(
        isHidden: isHidden,
        appearance: appearance,
      );
}
