class Product {
  /// A unique identifier of the product.
  String productId;

  /// The name of the product.
  String? name;

  /// The description of the product.
  String? description;

  /// The availability of the product.
  bool? isAvailable;

  /// The unit array of the product
  List<ProductUnit>? units;

  Product({
    required this.productId,
    this.name,
    this.description,
    this.isAvailable,
    this.units,
  });
}

class ProductUnit {
  /// The unique identifier of the product unit.
  String unitId;

  /// The name of the product unit.
  String? name;

  /// The url of the product unit.
  String? url;

  /// The image url of the product unit.
  String? imageUrl;

  /// The price of the product unit.
  ProductPrice? price;

  /// The availability of the product.
  bool? isAvailable;

  /// The options of the product unit.
  List<ProductUnitOption>? options;

  ProductUnit({
    required this.unitId,
    this.name,
    this.url,
    this.imageUrl,
    this.price,
    this.isAvailable,
    this.options,
  });
}

class ProductPrice {
  double amount;
  String currencyCode;

  ProductPrice({
    required this.amount,
    required this.currencyCode,
  });
}

class ProductUnitOption {
  String name;
  String value;
  ProductUnitOption({
    required this.name,
    required this.value,
  });
}
