class ReplayBadgeConfiguration {
  /// Indicates if the replay badge is hidden.
  /// Only supported on iOS.
  /// Defaults to true.
  bool isHidden;

  ReplayBadgeConfiguration({
    required this.isHidden,
  });

  @override
  bool operator ==(Object other) {
    if (identical(this, other)) {
      return true;
    }

    if (other is ReplayBadgeConfiguration) {
      return isHidden == other.isHidden;
    }

    return false;
  }

  @override
  int get hashCode => isHidden.hashCode;

  ReplayBadgeConfiguration deepCopy() => ReplayBadgeConfiguration(
        isHidden: isHidden,
      );
}
