import 'story_block_configuration.dart';

class StoryBlockNativeConfiguration extends StoryBlockConfiguration {
  /// Specifies if Picture in Picture is enabled.
  bool? enablePictureInPicture;

  StoryBlockNativeConfiguration({
    super.playerStyle,
    super.videoCompleteAction,
    super.showShareButton,
    super.ctaButtonStyle,
    super.showPlaybackButton,
    super.showMuteButton,
    super.showBranding,
    super.ctaDelay,
    super.ctaHighlightDelay,
    super.shareBaseURL,
    super.ctaWidth,
    super.buttonConfiguration,
    super.videoPlayerLogoConfiguration,
    super.showVideoDetailTitle,
    super.replayBadgeConfiguration,
    super.countdownTimerConfiguration,
    this.enablePictureInPicture,
  });

  StoryBlockNativeConfiguration.withStoryBlockConfiguration({
    StoryBlockConfiguration? storyBlockConfiguration,
    bool? enablePictureInPicture,
  }) : this(
          playerStyle: storyBlockConfiguration?.playerStyle,
          videoCompleteAction: storyBlockConfiguration?.videoCompleteAction,
          showShareButton: storyBlockConfiguration?.showShareButton,
          ctaButtonStyle: storyBlockConfiguration?.ctaButtonStyle,
          showPlaybackButton: storyBlockConfiguration?.showPlaybackButton,
          showMuteButton: storyBlockConfiguration?.showMuteButton,
          showBranding: storyBlockConfiguration?.showBranding,
          ctaDelay: storyBlockConfiguration?.ctaDelay,
          ctaHighlightDelay: storyBlockConfiguration?.ctaHighlightDelay,
          shareBaseURL: storyBlockConfiguration?.shareBaseURL,
          ctaWidth: storyBlockConfiguration?.ctaWidth,
          buttonConfiguration: storyBlockConfiguration?.buttonConfiguration,
          videoPlayerLogoConfiguration:
              storyBlockConfiguration?.videoPlayerLogoConfiguration,
          showVideoDetailTitle: storyBlockConfiguration?.showVideoDetailTitle,
          replayBadgeConfiguration:
              storyBlockConfiguration?.replayBadgeConfiguration,
          countdownTimerConfiguration:
              storyBlockConfiguration?.countdownTimerConfiguration,
          enablePictureInPicture: enablePictureInPicture,
        );

  @override
  bool operator ==(Object other) {
    if (identical(this, other)) {
      return true;
    }

    if (other is StoryBlockNativeConfiguration) {
      return super == other &&
          enablePictureInPicture == other.enablePictureInPicture;
    }

    return false;
  }

  @override
  int get hashCode => super.hashCode ^ enablePictureInPicture.hashCode;

  @override
  StoryBlockNativeConfiguration deepCopy() =>
      StoryBlockNativeConfiguration.withStoryBlockConfiguration(
        storyBlockConfiguration: super.deepCopy(),
        enablePictureInPicture: enablePictureInPicture,
      );
}
