class TrackPurchaseParameters {
  /// A unique identifier for the user's order.
  String orderId;

  /// The value of the order.
  double? value;

  /// The currency code of the purchase value.
  String? currencyCode;

  /// The country code of the purchase.
  String? countryCode;

  /// Any additional information associated to the purchase.
  /// Reserved keys: order_id, value, currency, country.
  /// Any values passed in the additionalInfo that use a reserved key will be ignored.
  Map<String, String>? additionalInfo;

  TrackPurchaseParameters({
    required this.orderId,
    this.value,
    this.currencyCode,
    this.countryCode,
    this.additionalInfo,
  });
}
