import 'dart:convert';

class FWJsonUtil {
  static String? generateJsonKey(dynamic obj) {
    if (obj is List<dynamic>) {
      final arrayValues = obj.map((item) => generateJsonKey(item)).toList();
      return "[${arrayValues.join(',')}]";
    }

    if (obj is Map<dynamic, dynamic>) {
      final sortedKeys = obj.keys.toList()..sort();

      var result = "{";
      for (var key in sortedKeys) {
        if (result.length > 1) {
          result += ",";
        }

        result += "\"$key\":${generateJsonKey(obj[key])}";
      }
      result += "}";

      return result;
    }

    return json.encode(obj);
  }
}
