import '../../models/fw_native_error.dart';
import '../../models/fw_error.dart';

class FWErrorUtil {
  static FWError? fromJson(dynamic json) {
    if (json is Map<dynamic, dynamic>) {
      String name = "";
      String? reason;
      if (json["name"] is String) {
        name = json["name"] as String;
      }

      if (json["reason"] is String) {
        reason = json["reason"] as String;
      }

      return FWError(
        name: name,
        reason: reason,
      );
    } else {
      return null;
    }
  }

  static FWNativeError? createNativeErrorfromJson(dynamic json) {
    if (json is Map<dynamic, dynamic>) {
      String name = "";
      String? reason;
      String? action;
      if (json["name"] is String) {
        name = json["name"] as String;
      }

      if (json["reason"] is String) {
        reason = json["reason"] as String;
      }

      if (json["action"] is String) {
        action = json["action"] as String;
      }

      return FWNativeError(
        name: name,
        reason: reason,
        action: action,
      );
    } else {
      return null;
    }
  }
}
