import 'package:flutter_test/flutter_test.dart';
import 'package:fw_flutter_sdk/src/models/ad_badge_configuration.dart';
import 'package:fw_flutter_sdk/src/models/android_font_info.dart';
import 'package:fw_flutter_sdk/src/utils/model_utils/ad_badge_configuration_util.dart';

void main() {
  test("AdBadgeConfigurationUtil toJson", () {
    final config = AdBadgeConfiguration(
      badgeTextType: AdBadgeTextType.ad,
      backgroundColor: "#c0c0c0",
      textColor: "#000000",
      androidFontInfo: AndroidFontInfo(
        isCustom: false,
        typefaceName: "SANS_SERIF",
      ),
    );
    final json = AdBadgeConfigurationUtil.toJson(config);
    final expectedJson = <String, dynamic>{
      "badgeTextType": "ad",
      "textColor": "#000000",
      "backgroundColor": "#c0c0c0",
      "androidFontInfo": {
        "isCustom": false,
        "typefaceName": "SANS_SERIF",
      }
    };

    expect(json, expectedJson);
  });
}
